Debian Bug report logs - #689928
support for ALSA HD Audio Intel Panther Point DeviceIDs

version graph

Package: src:linux-2.6; Maintainer for src:linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Ana Guerrero <ana@debian.org>

Date: Sun, 7 Oct 2012 22:27:02 UTC

Severity: important

Tags: patch, pending, upstream

Found in version linux-2.6/2.6.32-46

Fixed in version linux-2.6/2.6.32-47

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.linux.kernel/1129137/focus=101864

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ana@debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689928; Package src:linux-2.6. (Sun, 07 Oct 2012 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
New Bug report received and forwarded. Copy sent to ana@debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Oct 2012 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [stable] support for ALSA HD Audio Intel Panther Point DeviceIDs
Date: Mon, 8 Oct 2012 00:24:06 +0200
[Message part 1 (text/plain, inline)]
Package: src:linux-2.6
Version: 2.6.32-46
Severity: wishlist
Tags: patch

Hi,

git's commit d2edeb7c6f1dada8ca7d5c23e42d604e92ae0c76 includes support
for Intel Panther Point DeviceIDs. I backported it to work on top
of all the patches included in 2.6.32-46, although making sure the
patch is applied on top of patches/bugfix/all/stable/2.6.32.12.patch
should be enough.

Please consider adding it in the next update of the stable kernel.

Ana

[alsa_hd_audio_for_intel_panther_point_devices.diff (text/x-diff, attachment)]
[d2edeb7c6f1dada8ca7d5c23e42d604e92ae0c76.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689928; Package src:linux-2.6. (Sun, 07 Oct 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Oct 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 689928@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 689928@bugs.debian.org
Subject: Re: Bug#689928: support for ALSA HD Audio Intel Panther Point DeviceIDs
Date: Mon, 8 Oct 2012 00:30:46 +0200
On Mon, Oct 08, 2012 at 12:24:06AM +0200, Ana Guerrero wrote:
> Package: src:linux-2.6
> Version: 2.6.32-46
> Severity: wishlist
> Tags: patch
> 
> Hi,
> 
> git's commit d2edeb7c6f1dada8ca7d5c23e42d604e92ae0c76 includes support
> for Intel Panther Point DeviceIDs. I backported it to work on top
> of all the patches included in 2.6.32-46, although making sure the
> patch is applied on top of patches/bugfix/all/stable/2.6.32.12.patch
> should be enough.
> 
> Please consider adding it in the next update of the stable kernel.
>

For the record and people having this problem, this was tested successfully
a EliteBook 8570w.





Severity set to 'important' from 'wishlist' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 07 Oct 2012 23:30:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 08 Oct 2012 13:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#689928; Package src:linux-2.6. (Tue, 09 Oct 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Oct 2012 01:15:03 GMT) Full text and rfc822 format available.

Message #19 received at 689928@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ana Guerrero <ana@debian.org>
Cc: 689928@bugs.debian.org
Subject: Re: support for ALSA HD Audio Intel Panther Point DeviceIDs
Date: Mon, 8 Oct 2012 18:12:24 -0700
tags 689928 + upstream
forwarded 689928 http://thread.gmane.org/gmane.linux.kernel/1129137/focus=101864
quit

Ana Guerrero wrote:
> On Mon, Oct 08, 2012 at 12:24:06AM +0200, Ana Guerrero wrote:

>> git's commit d2edeb7c6f1dada8ca7d5c23e42d604e92ae0c76 includes support
>> for Intel Panther Point DeviceIDs. I backported it to work on top
>> of all the patches included in 2.6.32-46,
[...]
> For the record and people having this problem, this was tested successfully
> a EliteBook 8570w.

Thanks!  Applied (thanks, Ben) and passed upstream for the sake of
others also using 2.6.32-based kernels.



Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 01:15:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.kernel/1129137/focus=101864'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Oct 2012 01:15:09 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 20 Jan 2013 23:21:22 GMT) Full text and rfc822 format available.

Notification sent to Ana Guerrero <ana@debian.org>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 23:21:22 GMT) Full text and rfc822 format available.

Message #28 received at 689928-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 689928-close@bugs.debian.org
Subject: Bug#689928: fixed in linux-2.6 2.6.32-47
Date: Sun, 20 Jan 2013 23:17:10 +0000
Source: linux-2.6
Source-Version: 2.6.32-47

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689928@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 19 Jan 2013 05:00:07 +0000
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all source
Version: 2.6.32-47
Distribution: stable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 626022 638921 646063 647825 659111 661696 666108 689928 690100 692133 695872 698022 698094 698473 698474 698475
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-47) stable; urgency=low
 .
   [ Ben Hutchings ]
   * [x86] ALSA: hda_intel: Add device/class IDs for Intel Patsburg,
     Vortex86MX, VMware, Intel Panther Point and other Intel chips
     (Closes: #689928)
   * header: fix broken headers for user space (Closes: #692133)
   * nfsv4: Fix kernel panic when mounting NFSv4 (Closes: #695872)
   * hpsa: Backport changes up to Linux 3.2.35 (Closes: #690100)
   * net: fix route cache rebuilds (Closes: #646063)
   * Add longterm release 2.6.32.60, including:
     - netxen: support for GbE port settings (Closes: #638921)
     - futex: Fix uninterruptible loop due to gate_area
     - time: Improve sanity checking of timekeeping inputs
     - eCryptfs: Copy up lower inode attrs after setting lower xattr
     - eCryptfs: Clear ECRYPTFS_NEW_FILE flag during truncate
     - bonding: 802.3ad - fix agg_device_up
     - usbnet: increase URB reference count before usb_unlink_urb
     - usbnet: don't clear urb->dev in tx_complete
     - xfs: Fix missing xfs_iunlock() on error recovery path in xfs_readlink()
     - nilfs2: fix NULL pointer dereference in nilfs_load_super_block()
     - ntp: Fix integer overflow when setting time
     - ext4: check for zero length extent
     - Bluetooth: add NULL pointer check in HCI
     - Bluetooth: hci_ldisc: fix NULL-pointer dereference on tty_close
     - phonet: Check input from user before allocating
     - netlink: fix races after skb queueing
     - net: fix a race in sock_queue_err_skb()
     - net/ethernet: ks8851_mll fix rx frame buffer overflow
     - NFSv4: Revalidate uid/gid after open (Closes: #659111)
     - ext3: Fix error handling on inode bitmap corruption
     - ext4: fix error handling on inode bitmap corruption
     - SCSI: fix scsi_wait_scan
     - fuse: fix stat call on 32 bit platforms
     - udf: Improve table length check to avoid possible overflow
     - eCryptfs: Properly check for O_RDONLY flag before doing privileged open
     - mm: Hold a file reference in madvise_remove (CVE-2012-3511)
     - SCSI: Avoid dangling pointer in scsi_requeue_command()
     - usbdevfs: Correct amount of data copied to user in processcompl_compat
     - ext4: don't let i_reserved_meta_blocks go negative
     - sctp: Fix list corruption resulting from freeing an association on a list
     - cipso: don't follow a NULL pointer when setsockopt() is called
     - net/tun: fix ioctl() based info leaks
     - futex: Test for pi_mutex on fault in futex_wait_requeue_pi()
     - futex: Fix bug in WARN_ON for NULL q.pi_state
     - futex: Forbid uaddr == uaddr2 in futex_wait_requeue_pi()
     - mm: mmu_notifier: fix freed page still mapped in secondary MMU
     - fuse: verify all ioctl retry iov elements
     - vfs: missed source of ->f_pos races - compat_sys_{read,write}v()
     - NFSv3: Ensure that do_proc_get_root() reports errors correctly
     - Remove user-triggerable BUG from mpol_to_str
     - udf: Fix data corruption for files in ICB
     - ext3: Fix fdatasync() for files with only i_size changes
     - dccp: check ccid before dereferencing
     - [ia64] Add accept4() syscall (Closes: #647825)
     - tcp: drop SYN+FIN messages
     - [x86] amd, xen: Avoid NULL pointer paravirt references
     - [x86] tls: Off by one limit check
     - sparc64: Eliminate obsolete __handle_softirq() function
     - udf: fix retun value on error path in udf_load_logicalvol
     - epoll: introduce POLLFREE to flush ->signalfd_wqh before kfree()
     - epoll: ep_unregister_pollwait() can use the freed pwq->whead
     - Don't limit non-nested epoll paths
     - epoll: limit paths (CVE-2011-1083)
     - epoll: clear the tfile_check_list on -ELOOP (CVE-2012-3375)
     - random: Improve random number generation on non-interactive systems
       + random: Use arch_get_random_int instead of cycle counter if avail
       + random: Use arch-specific RNG to initialize the entropy store
       + random: make 'add_interrupt_randomness()' do something sane
       + usb: feed USB device information to the /dev/random driver
       + net: feed /dev/random with the MAC address when registering a device
       + rtc: wm831x: Feed the write counter into device_add_randomness()
       + mfd: wm831x: Feed the device UUID into device_add_randomness()
       + dmi: Feed DMI table to /dev/random driver
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.60
     and the bug report which this closes: #698022.
     - [ia64] Revert "pcdp: use early_ioremap/early_iounmap to access pcdp
       table", which breaks compilation of this driver
   * [x86] Don't use the EFI reboot method by default (Closes: #626022)
   * [x86] drm/i915: Attempt to fix watermark setup on 85x (v2)
     (Closes: #661696)
   * [x86] isci: Backport changes up to Linux 3.2.35 (Closes: #698094)
   * [amd64] rtl8192e: Fix transmit on 64-bit architectures (Closes: #698473)
   * [x86] usbip: Fix loss of isochronous packets that require padding
     (Closes: #698474)
   * staging: Fix various log messages that were broken on 64-bit architectures
     (Closes: #698475)
   * [x86] xen/x86: don't corrupt %eip when returning from a signal handler
   * [i386] xen: Fix stack corruption in xen_failsafe_callback for 32bit PVOPS
     guests. (CVE-2013-0190)
 .
   [ Jonathan Nieder ]
   * megaraid_sas: Backport changes up to Linux 3.0.56 (Closes: #666108)
Checksums-Sha1: 
 c0cc18b97efaebfc66bedd088e7dc6b3daa3792a 14499 linux-2.6_2.6.32-47.dsc
 7bb68838998c1713e388863ee434e02fcd96a8f1 16348026 linux-2.6_2.6.32-47.diff.gz
 aa4107b0aa612f060ffcb2fbb133b6c24796d45e 172078 linux-support-2.6.32-5_2.6.32-47_all.deb
 1ea9e1267fd7f7936edd2893678ebab3f17bf33a 160148 firmware-linux-free_2.6.32-47_all.deb
 be2ba2be69084379455e5b248b2ee882f9a90e59 182100 linux-base_2.6.32-47_all.deb
 09fed89e3247c4e50040a4719885aad7d58711fa 10303092 linux-patch-debian-2.6.32_2.6.32-47_all.deb
 50c368ee67671f3415a4da0c149b64140e2bdc56 65400126 linux-source-2.6.32_2.6.32-47_all.deb
 951a35dbf3963587dd3fb312944783ad9085e696 6075984 linux-doc-2.6.32_2.6.32-47_all.deb
 ff587d901fc7d99499503f23e570dc43ddb7af4e 2739000 linux-manual-2.6.32_2.6.32-47_all.deb
Checksums-Sha256: 
 d13939323d31ea9c1ecc7cd460d5c4cad8219fdabec0c6ad9e5e850947343571 14499 linux-2.6_2.6.32-47.dsc
 5ecb7e0931c3c77ede8234c7acb691bbeaf819332f211417468b4119fd243ce7 16348026 linux-2.6_2.6.32-47.diff.gz
 fd509d6939a35dc53b2a067a3e7a5224eb1b1ef12dcb355bcd02fcfef2c90d7d 172078 linux-support-2.6.32-5_2.6.32-47_all.deb
 a998d5ad6285fb4faad400176e9f6bb4c9e7e0d2551fe4e0a74e9f19d2185e92 160148 firmware-linux-free_2.6.32-47_all.deb
 e0992f93e0a3818bd0acdd9fba865a8a7d4d48914cd421661b43f1f247945bf5 182100 linux-base_2.6.32-47_all.deb
 e7a48e9d062bfe91f2db0533ae9ad2421d655e79ef8e597045c100c4ddc5cd1a 10303092 linux-patch-debian-2.6.32_2.6.32-47_all.deb
 037ac4fb9402d3efd2f24a3117e3e03ecf949e4538833655b13de969622dbd10 65400126 linux-source-2.6.32_2.6.32-47_all.deb
 1fbe3830131cbf4339856222356689d9813ce6b592e0894012321cd328ad35c4 6075984 linux-doc-2.6.32_2.6.32-47_all.deb
 a9f55c8e81b83e8e1aebd37c2f3ce5a400d222b038554db9e540fb01d5261559 2739000 linux-manual-2.6.32_2.6.32-47_all.deb
Files: 
 4bfb80310f9b6fa5793c144c3766f672 14499 kernel optional linux-2.6_2.6.32-47.dsc
 0c85c864cb7f0b0191ac188d7a5099ba 16348026 kernel optional linux-2.6_2.6.32-47.diff.gz
 29157de0287c31d1e4a2b42928e17dc2 172078 devel optional linux-support-2.6.32-5_2.6.32-47_all.deb
 0f1dc52501834a1b15296532d930513d 160148 kernel optional firmware-linux-free_2.6.32-47_all.deb
 509a07428184fa99322327b071a2e3ce 182100 kernel optional linux-base_2.6.32-47_all.deb
 7985e63364a64ac482345870a1bacd9d 10303092 kernel optional linux-patch-debian-2.6.32_2.6.32-47_all.deb
 afdd9c86c13bbce1d55c1c489322aaca 65400126 kernel optional linux-source-2.6.32_2.6.32-47_all.deb
 428781f87377d16394045d1a810405fb 6075984 doc optional linux-doc-2.6.32_2.6.32-47_all.deb
 466cf83890e374071b962e19e0b5c4e8 2739000 doc optional linux-manual-2.6.32_2.6.32-47_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUPq1uOe/yOyVhhEJAQpbGA//d+B5vtq0cdIrKrNBJDo+pyTJGX1WWqZK
YhlmR/YmFRgOB0XH/3ND9l+Uq7A+odRONaPuVLEnsUQkiOOIEp09qWhXSO12V55o
njvPK8tWyuWLfiEuzsMd0VaMa963k69D+Z2AcCSA/5ZqROPBF4fyjwfr9oGzEUiS
BBKZtOd3TUHwq0bbAyCoNsjMWBlRZwlFEZWgdEnJg5YPLhCUJnis5KDIzRhfIff6
zLn+6fAAeMZmqj/a/UfKsz21ERN8WpjOf2OhFcKDhToc01ccaz7huwLJz7p56KB+
OEuo/uSizu7xOZZ6LlOLX/vSSU8KXGfHyobOvZUZdnytbPTyh0xo2IqNUtw9BB3/
5lXN0SNF6fvLaexjI0cWBOCiE55PipcGRON/fn09KVTuI29PQ/3dnf4guFRJRqZM
JzoMhlsR33B7R8csEGtQ8Qm21miZDlAfYmBcHBjmtlDa0biG4gcvcXUnSukz/Lsm
KCqYGUvuKUrAro75iThMZxpqsIQDiNl+sCiEMZFFSTNFrLmQzMZ+lIQWOvhhKI9N
kgwiMWkBe+ybLqT5CJHZ7cVR1fd6CrQzm4GquHDyTOzlF0pFMefqPZJkxwdTLH1Z
53sVOygChF+BP6llNhVeUyZ4retdDR7bnb9atodp3a0PoKsjqRJlQARMZhYmFrMK
i8K7C9mDALw=
=RXqB
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 22 Jan 2013 06:06:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Feb 2013 07:26:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:46:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.